Bug 1503685 (CVE-2017-10379) - CVE-2017-10379 mysql: Client programs unspecified vulnerability (CPU Oct 2017)
Summary: CVE-2017-10379 mysql: Client programs unspecified vulnerability (CPU Oct 2017)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-10379
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20171018,repor...
Depends On: 1503701 1503703 1505111 1505112 1505113 1505114 1509999 1510000 1514143 1514144 1558260 1584671
Blocks: 1503691
TreeView+ depends on / blocked
 
Reported: 2017-10-18 14:33 UTC by Adam Mariš
Modified: 2019-06-08 22:26 UTC (History)
27 users (show)

Fixed In Version: mysql 5.5.58, mysql 5.6.38, mysql 5.7.20, mariadb 5.5.57, mariadb 10.2.8, mariadb 10.1.26, mariadb 10.0.32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-20 12:51:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3265 normal SHIPPED_LIVE Important: rh-mysql56-mysql security update 2017-11-27 23:42:33 UTC
Red Hat Product Errata RHSA-2017:3442 normal SHIPPED_LIVE Important: rh-mysql57-mysql security update 2017-12-12 18:32:34 UTC
Red Hat Product Errata RHSA-2018:0279 normal SHIPPED_LIVE Moderate: rh-mariadb100-mariadb security update 2018-02-06 18:00:11 UTC
Red Hat Product Errata RHSA-2018:0574 None None None 2018-03-21 14:08:26 UTC
Red Hat Product Errata RHSA-2018:2439 None None None 2018-08-16 14:15:34 UTC

Description Adam Mariš 2017-10-18 14:33:32 UTC
Vulnerability in the MySQL Server component of Oracle MySQL (subcomponent: Client programs). Supported versions that are affected are 5.5.57 and earlier, 5.6.37 and earlier and  5.7.19 and earlier. Easily exploitable vulnerability allows low privileged attacker with network access via multiple protocols to compromise MySQL Server. Successful attacks of this vulnerability can result in unauthorized access to critical data or complete access to all MySQL Server accessible data. 

External References:

http://www.oracle.com/technetwork/security-advisory/cpuoct2017-3236626.html#AppendixMSQL

Comment 1 Adam Mariš 2017-10-18 14:55:22 UTC
Created mariadb tracking bugs for this issue:

Affects: fedora-all [bug 1503703]

Comment 2 Adam Mariš 2017-10-18 14:55:33 UTC
Created community-mysql tracking bugs for this issue:

Affects: fedora-all [bug 1503701]

Comment 5 Tomas Hoger 2017-10-23 15:10:21 UTC
MariaDB upstream associates this CVE id with this upstream MariaDB bug report:

https://jira.mariadb.org/browse/MDEV-13187

It also references these MySQL bug reports:

https://bugs.mysql.com/bug.php?id=68676
https://bugs.mysql.com/bug.php?id=72552

MariaDB upstream commits:

https://github.com/MariaDB/server/commit/39385ff7b2
https://github.com/MariaDB/server/commit/d5cd334504

MySQL upstream commit:

https://github.com/mysql/mysql-server/commit/5ac61b2af0cf37eeed5050a91819d6d273f037a5

Comment 7 Tomas Hoger 2017-10-27 19:52:00 UTC
rh-mariadb102-mariadb packages in Red Hat Software Collections were first released using upstream version 10.2.8, which already includes the fix for this issue.

Comment 10 errata-xmlrpc 2017-11-27 18:45:07 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS

Via RHSA-2017:3265 https://access.redhat.com/errata/RHSA-2017:3265

Comment 11 errata-xmlrpc 2017-12-12 13:37:53 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS

Via RHSA-2017:3442 https://access.redhat.com/errata/RHSA-2017:3442

Comment 12 errata-xmlrpc 2018-02-06 11:03:30 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS

Via RHSA-2018:0279 https://access.redhat.com/errata/RHSA-2018:0279

Comment 14 errata-xmlrpc 2018-03-21 14:08:17 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS

Via RHSA-2018:0574 https://access.redhat.com/errata/RHSA-2018:0574

Comment 15 errata-xmlrpc 2018-08-16 14:15:23 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:2439 https://access.redhat.com/errata/RHSA-2018:2439


Note You need to log in before you can comment on or make changes to this bug.